package com.zcxk.rmcp.api.enums;


import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * @author Andy
 * @description 操作方式 1:批量指令下发、2:系统执行指令、3:手动触发指令
 * @date 2021-07-20 11:40
 */
@Getter
public enum OperationTypeEnum {

    /**
     * 批量指令下发
     */
    BATCH(1, "批量指令下发"),

    /**
     * 系统执行指令
     */
    SYSTEM(2, "系统执行指令"),

    /**
     * 手动触发指令
     */
    HAND(3, "手动触发指令"),
    ;

    /**
     * code
     */
    private final Integer code;

    /**
     * 说明
     */
    private final String message;

    OperationTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }


    public static String getMessage(Integer code) {
        Optional<OperationTypeEnum> optional = Arrays.stream(OperationTypeEnum.values())
                .filter(p -> p.getCode().equals(code))
                .findFirst();
        return optional.get().getMessage();
    }
}
